Debian Bug report logs - #583086
ITP: libcatalyst-plugin-unicode-encoding-perl -- Unicode-aware Catalyst plugin

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Tue, 25 May 2010 10:03:01 UTC

Owned by: Jonas Genannt <jonas.genannt@capi2name.de>

Severity: wishlist

Fixed in version libcatalyst-plugin-unicode-encoding-perl/1.1-1

Done: Jonas Genannt <jonas.genannt@capi2name.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#583086; Package wnpp. (Tue, 25 May 2010 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Tue, 25 May 2010 10:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcatalyst-plugin-unicode-encoding-perl -- Unicode-aware Catalyst plugin
Date: Tue, 25 May 2010 13:00:57 +0300
Package: wnpp
Severity: wishlist
Owner: Antony Gelberg <antony.gelberg@wayforth.com>

  Package name    : libcatalyst-plugin-unicode-encoding-perl
  Version         : 1.0
  Upstream Authors : Christian Hansen <ch@ngmedia.com>, Masahiro Chiba, Tomas
Dorian <bobtfish@bobtfish.net>
  URL             : http://search.cpan.org/dist/Catalyst-Plugin-Unicode-Encoding
  License         : GPL / Artistic (as for Perl)
  Programming Lang: Perl
  Description     : Unicode-aware Catalyst plugin

This module provides a simple way of making Catalyst webapps work with
Unicode.  On request, decodes all parameters from encoding into a sequence 
of logical characters. On response, encodes body into encoding.

    use Catalyst qw[Unicode::Encoding];

    MyApp->config( encoding => 'UTF-8' ); # A valid Encode encoding




Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>:
Bug#583086; Package wnpp. (Fri, 15 Oct 2010 10:54:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kamen Naydenov <pau4o@kamennn.eu>:
Extra info received and forwarded to list. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>. (Fri, 15 Oct 2010 10:54:53 GMT) Full text and rfc822 format available.

Message #12 received at 583086@bugs.debian.org (full text, mbox):

From: Kamen Naydenov <pau4o@kamennn.eu>
To: Debian Bug Tracking System <583086@bugs.debian.org>
Subject: Re: Catalyst::Plugin::Unicode is deprecated
Date: Fri, 15 Oct 2010 13:30:36 +0300
Package: wnpp
Severity: wishlist

Hello,

As it reads in SYNOPSIS of Catalyst::Plugin::Unicode it's now deprecated in
favor of Catalyst::Plugin::Unicode::Encoding
It would be better if C::P::U::Encoding is included in Debian

best regards
Kamen




Added indication that bug 583086 blocks 608024 Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Fri, 01 Jul 2011 20:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>:
Bug#583086; Package wnpp. (Fri, 01 Jul 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>. (Fri, 01 Jul 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 583086@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 583086@bugs.debian.org
Cc: antony.gelberg@gmail.com, control@bugs.debian.org
Subject: Re: ITP: libcatalyst-plugin-unicode-encoding-perl -- Unicode-aware Catalyst
Date: Fri, 1 Jul 2011 22:10:48 +0200
block 608024 by 583086
thanks

Hello,

is there any progress to get libcatalyst-plugin-unicode-encoding-perl
into debian?

It's needed for libgitalist-perl (#583086).

If you are no longer interested in maintain this software, I will do it.

Thanks,
	Jonas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>:
Bug#583086; Package wnpp. (Fri, 01 Jul 2011 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antony Gelberg <antony.gelberg@wayforth.com>. (Fri, 01 Jul 2011 23:48:03 GMT) Full text and rfc822 format available.

Message #24 received at 583086@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 583086@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: ITP: libcatalyst-plugin-unicode-encoding-perl -- Unicode-aware Catalyst
Date: Sat, 2 Jul 2011 01:43:28 +0200
owner 584091 Jonas Genannt <jonas.genannt@capi2name.de>
thanks


On Sat, 2 Jul 2011 01:43:16 +0300
Antony Gelberg <antony.gelberg@gmail.com> wrote:
> Hi,
> 
> Thanks for email.  No time to work on it, feel free.




Owner changed from Antony Gelberg <antony.gelberg@wayforth.com> to Jonas Genannt <jonas.genannt@capi2name.de>. Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Fri, 01 Jul 2011 23:51:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 08 Jul 2011 08:29:12 GMT) Full text and rfc822 format available.

Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. (Sat, 16 Jul 2011 07:09:03 GMT) Full text and rfc822 format available.

Notification sent to Antony Gelberg <antony.gelberg@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Jul 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #33 received at 583086-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 583086-close@bugs.debian.org
Subject: Bug#583086: fixed in libcatalyst-plugin-unicode-encoding-perl 1.1-1
Date: Sat, 16 Jul 2011 07:05:03 +0000
Source: libcatalyst-plugin-unicode-encoding-perl
Source-Version: 1.1-1

We believe that the bug you reported is fixed in the latest version of
libcatalyst-plugin-unicode-encoding-perl, which is due to be installed in the Debian FTP archive:

libcatalyst-plugin-unicode-encoding-perl_1.1-1.diff.gz
  to main/libc/libcatalyst-plugin-unicode-encoding-perl/libcatalyst-plugin-unicode-encoding-perl_1.1-1.diff.gz
libcatalyst-plugin-unicode-encoding-perl_1.1-1.dsc
  to main/libc/libcatalyst-plugin-unicode-encoding-perl/libcatalyst-plugin-unicode-encoding-perl_1.1-1.dsc
libcatalyst-plugin-unicode-encoding-perl_1.1-1_all.deb
  to main/libc/libcatalyst-plugin-unicode-encoding-perl/libcatalyst-plugin-unicode-encoding-perl_1.1-1_all.deb
libcatalyst-plugin-unicode-encoding-perl_1.1.orig.tar.gz
  to main/libc/libcatalyst-plugin-unicode-encoding-perl/libcatalyst-plugin-unicode-encoding-perl_1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583086@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated libcatalyst-plugin-unicode-encoding-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 2 Jul 2011 14:31:06 +0000
Source: libcatalyst-plugin-unicode-encoding-perl
Binary: libcatalyst-plugin-unicode-encoding-perl
Architecture: source all
Version: 1.1-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 libcatalyst-plugin-unicode-encoding-perl - Unicode aware Catalyst
Closes: 583086
Changes: 
 libcatalyst-plugin-unicode-encoding-perl (1.1-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #583086)
Checksums-Sha1: 
 0b79cb0a869180e062c042ccee4b6ecacfca1b8f 1408 libcatalyst-plugin-unicode-encoding-perl_1.1-1.dsc
 4974775a8538bcdb49e5a7d94f87bd8f162280e6 22991 libcatalyst-plugin-unicode-encoding-perl_1.1.orig.tar.gz
 8b0e50a32828cc817f81f161e97eb5d678a22944 1212 libcatalyst-plugin-unicode-encoding-perl_1.1-1.diff.gz
 459a001b4bdbbc64c1a5e436f9d229bf3395882b 7712 libcatalyst-plugin-unicode-encoding-perl_1.1-1_all.deb
Checksums-Sha256: 
 427fdd447a6921e22b4f329585a292ebc7a5129674a266837fd9cd484ccc1556 1408 libcatalyst-plugin-unicode-encoding-perl_1.1-1.dsc
 bff4b673146641d9bb16d0f7e22378f60987d423a6249d2db4c901703366d916 22991 libcatalyst-plugin-unicode-encoding-perl_1.1.orig.tar.gz
 27eb57e123b6c1609dfdd9ca5a270ebd4c2fcd727434ade29b4dd502cf93e28a 1212 libcatalyst-plugin-unicode-encoding-perl_1.1-1.diff.gz
 31e1cc9ab5e3b64b6a7ab713ae64fe71ba54c913357d7a459a257794994a3123 7712 libcatalyst-plugin-unicode-encoding-perl_1.1-1_all.deb
Files: 
 f42d8892ebc14e9e9c34e801271203e8 1408 perl optional libcatalyst-plugin-unicode-encoding-perl_1.1-1.dsc
 02d1f73ba198fc216c016c11b64479f3 22991 perl optional libcatalyst-plugin-unicode-encoding-perl_1.1.orig.tar.gz
 ef7a031690b956573b66c6d5664b5916 1212 perl optional libcatalyst-plugin-unicode-encoding-perl_1.1-1.diff.gz
 318fd571deeb4b11192977b0b005ca6b 7712 perl optional libcatalyst-plugin-unicode-encoding-perl_1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4gEAkACgkQ+C5cwEsrK54hvQCfZe8p/uPMCPmq0yclW/4wgMli
jWEAoJsTx8Cv2RPHd12/tBS3hy7tAKTQ
=kO0K
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Aug 2011 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:49:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.